/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include "interface.h"
#include "load.h"
#include "free.h"
#include "alloc.h"
#include "def.h"

int main(int argc, char *argv[])
{
	
	struct _prog prog_data = 
	{
		/* see def.h for more details 
		 * about struct _prog */
		
		/* lists ... */
		NULL, NULL, NULL, NULL, NULL, NULL, NULL,
		/* move card */
		NULL, 
		/* pixmap, bitmap and widgets */
		NULL, NULL, NULL, NULL, NULL, NULL, NULL, 
		/* allwidgets array */
		NULL,
		/* [enum egstate, int, int, ...] */
		LOADING, -1, -1, -1, -1, -1, -1, -1, 2, 
		/* points, declarations, report */
		{0, 0}, {0, 0}, 0,
		
		/*- only this part can be customised -*/
		/*- output stream, should be stdout or a file (FILE*) -*/
		NULL, 
		/*- animation -*/
		TRUE,
		/*- declaration -*/
		TRUE
	};
	
	gboolean help = FALSE;
	
	if(argc > 1)
	{
		if( 0 == strcmp(argv[1], "--debug") )
			prog_data.output = stdout;
		
		if( 0 == strcmp(argv[1], "--help") )
		{
			printf("available options:\n--debug\n--disable-animation\n");
			help = TRUE;
		}

		if( 0 == strcmp(argv[1], "--disable-animation") )
			prog_data.animation = FALSE;
	}
	
	if(help == FALSE)
	{
	
		gtk_init(&argc, &argv);
		
		
		interface_create(&prog_data);
		
		if(prog_data.allwidgets != NULL)
		{
			
			gtk_widget_show_all(prog_data.allwidgets[0]);

			gtk_main();	
			
			
			free_prog(&prog_data);
			
		}
	}
	return(0);
}
